Supplier Return id
Creates Credit Note with Credit Note Items
Sample request:
POST /supplierreturns/{id}/creditnotes
{
"supplier_reference": "supplier_reference",
"supplier_credited_on": "2022-11-18",
"credit_note_items": [
{
"supplier_return_item_id": 1
},
{
"supplier_return_item_id": 2
}
]
}
Path Parameters
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Credit Note to be created
EmptyExample
Response
application/json
Response
Credit Note model with Credit Note Items were created
SupplierReturnsCreditNote
Credit Note model for /supplierreturn/{id}/creditnotes endpoint
Credit Note id
Supplier Return id
Show Child Parameters
Show Child Parameters
Supplier reference
>= 0 characters<= 50 characters
Include tax
Default:false
Rounding Adjustment
Total credit quantity
Total Credit Amount Ex
Total Credit Amount Tax
Total Credit Amount Inc
Total Applied Credit Quantity
Total Applied Credit Amount Ex
Total Applied Credit Amount Inc
Total Applied Credit Tax
List of Credit Note items
Show Child Parameters
Created on
Modified on
Supplier Credited On
Show Child Parameters
Show Child Parameters
Path Parameters
Headers
Body
Searches Supplier Return Credit Notes by parameters
Searches Supplier Return Credit Notes by parameters
Query Parameters
Сredit note Ids. (comma separated)
Other properties are skipped, if used.
Example: 2,3,4
Supplier reference.
Created since
Modified since
Filter by.
Available field name values: id, supplier, outlet, supplier_reference, total_credit_quantity, total_credit_amount_ex, total_credit_amount_tax, total_credit_amount_inc, created_on, modified_on, created_by_id, created_by_first_name, created_by_surname, modified_by_id, modified_by_first_name, modified_by_surname, supplier_credited_on.
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: created_on:gte:2021-06-03T05:48:09+10:00,created_by_id:in:2|432
Order by.
Available field name values: id, supplier_return_id, supplier, outlet, supplier_reference, total_credit_quantity, total_credit_amount_ex, total_credit_amount_tax, total_credit_amount_inc, created_on, modified_on, created_by_id, created_by_first_name, created_by_surname, modified_by_id, modified_by_first_name, modified_by_surname, supplier_credited_on.
Available direction values: asc, desc.
Example: id asc, supplier_reference desc
>= 1<= 100000
>= 1<= 2147483647
Path Parameters
Supplier Return id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns Credit Notes with Credit Note Items
SupplierReturnsCreditNote.PagingResponse
Credit Note model for /supplierreturn/{id}/creditnotes endpoint
Show Child Parameters
Path Parameters
Query Parameters
Headers
Gets a Credit Note with Credit Note Items by Supplier Return id and Credit Note id
Gets a Credit Note with Credit Note Items by Supplier Return id and Credit Note id
Path Parameters
Supplier Return id
Credit Note id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Credit Note
SupplierReturnsCreditNote
Credit Note model for /supplierreturn/{id}/creditnotes endpoint
Credit Note id
Supplier Return id
Show Child Parameters
Show Child Parameters
Supplier reference
>= 0 characters<= 50 characters
Include tax
Default:false
Rounding Adjustment
Total credit quantity
Total Credit Amount Ex
Total Credit Amount Tax
Total Credit Amount Inc
Total Applied Credit Quantity
Total Applied Credit Amount Ex
Total Applied Credit Amount Inc
Total Applied Credit Tax
List of Credit Note items
Show Child Parameters
Created on
Modified on
Supplier Credited On
Show Child Parameters
Show Child Parameters
Path Parameters
Headers
Updates Credite Note by Supplier Return id and Credit Note id
Sample request:
PUT /supplierreturns/1/creditnotes/1
{
"supplier_credited_on": "2022-11-18",
"supplier_reference": "ref"
}
Path Parameters
Supplier Return id
Credit Note id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Credit Note to be updated
EmptyExample
Response
application/json
Response
Returns updated Credit Note
SupplierReturnsCreditNote
Credit Note model for /supplierreturn/{id}/creditnotes endpoint
Credit Note id
Supplier Return id
Show Child Parameters
Show Child Parameters
Supplier reference
>= 0 characters<= 50 characters
Include tax
Default:false
Rounding Adjustment
Total credit quantity
Total Credit Amount Ex
Total Credit Amount Tax
Total Credit Amount Inc
Total Applied Credit Quantity
Total Applied Credit Amount Ex
Total Applied Credit Amount Inc
Total Applied Credit Tax
List of Credit Note items
Show Child Parameters
Created on
Modified on
Supplier Credited On